Skip to main content
POST
/
api
/
putaway_rules
Create a putaway rule
curl --request POST \
  --url https://clarus-api.com/api/putaway_rules \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "putaway_rules",
    "attributes": {
      "account_id": 7,
      "rule": "walk_sequence",
      "direction": "asc",
      "position": 1
    }
  }
}
'
{
  "data": {
    "id": "1",
    "type": "putaway_rules",
    "attributes": {
      "rule": "walk_sequence",
      "direction": "asc",
      "position": 1
    }
  }
}

Request Structure

{
  "data": {
    "type": "putaway_rules",
    "attributes": {
      "account_id": 7,
      "rule": "walk_sequence",
      "direction": "asc"
    }
  }
}
FieldRequiredDescription
account_idYesAccount (not changeable on update)
ruleYescode, walk_sequence, remaining_height, or pickface_proximity
directionYesasc or desc
Reorder a rule with PATCH /api/putaway_rules/{id}/position.

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Body

application/json
data
object
required

Response

Created successfully

The response is of type object.